import { PropsWithChildren } from 'react';
import Controller from '../Controller';
import { Constructor, Create, InferStateType } from '../types';
type ControllerProviderProps<T extends Controller<InferStateType<T>>> = {
    source: Create<T> | T;
    ctor?: Constructor<T>;
};
declare function ControllerProvider<T extends Controller<InferStateType<T>>>({ source, children, ctor, }: PropsWithChildren<ControllerProviderProps<T>>): import("react").JSX.Element;
export { ControllerProvider };
export type { ControllerProviderProps };
