import Controller from '../Controller';
import { Constructor, InferStateType, ShouldUpdate, StateCompare } from '../types';
declare function useListener<C extends Controller<InferStateType<C>>>(ctor: Constructor<C>, listener: (state: InferStateType<C>, controller: C) => void, listenWhen?: ShouldUpdate<InferStateType<C>>, stateCompare?: StateCompare<InferStateType<C>>): C;
declare function useListener<C extends Controller<InferStateType<C>>>(controller: C, listener: (state: InferStateType<C>) => void, listenWhen?: ShouldUpdate<InferStateType<C>>, stateCompare?: StateCompare<InferStateType<C>>): void;
export { useListener };
