import Controller from '../Controller';
import { Constructor, InferStateType, ShouldUpdate, StateCompare } from '../types';
declare function useBuilder<C extends Controller<InferStateType<C>>>(ctor: Constructor<C>, buildWhen?: ShouldUpdate<InferStateType<C>>, stateCompare?: StateCompare<InferStateType<C>>): [InferStateType<C>, C];
declare function useBuilder<C extends Controller<InferStateType<C>>>(controller: C, buildWhen?: ShouldUpdate<InferStateType<C>>, stateCompare?: StateCompare<InferStateType<C>>): InferStateType<C>;
export { useBuilder };
