import Controller from '../Controller';
import { Constructor, InferStateType, StateCompare } from '../types';
declare function useSelector<C extends Controller<InferStateType<C>>, T>(ctor: Constructor<C>, selector: (state: InferStateType<C>) => T, stateCompare?: StateCompare<T>): [T, C];
declare function useSelector<C extends Controller<InferStateType<C>>, T>(controller: C, selector: (state: InferStateType<C>) => T, stateCompare?: StateCompare<T>): T;
export { useSelector };
